commit:     93d8a037eb08cf43f14e3939f0dac5ab137e366d
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 20 23:06:55 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Oct 20 23:19:30 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93d8a037

sys-cluster/heat: removing newton

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 sys-cluster/heat/Manifest                |   1 -
 sys-cluster/heat/heat-2016.2.9999.ebuild | 152 -------------------------------
 sys-cluster/heat/heat-7.0.6.ebuild       | 151 ------------------------------
 3 files changed, 304 deletions(-)

diff --git a/sys-cluster/heat/Manifest b/sys-cluster/heat/Manifest
index b7c3f64740a..f1a92c44f44 100644
--- a/sys-cluster/heat/Manifest
+++ b/sys-cluster/heat/Manifest
@@ -1,4 +1,3 @@
-DIST heat-7.0.6.tar.gz 2253662 SHA256 
2881c02f265f961c78506ae2b0acdf7f74a7a294517f23b43dadad854dd53653 SHA512 
49cdf09fd38e663fc35226d743ea54f64303c86ccda2071db77ca1df861da253226a453d194b4652fe1f5c542529200c16232d654d8b7c0d59e5cd5c9e215834
 WHIRLPOOL 
85fd932158f3024a8dbcd36a5bd2c3cacee453bb53c267a8de68dca3f4eafe6ea0bb22f8a6416fab958dd798469ca64685f4704f97bfe9f31ba3b87f561b9034
 DIST heat-8.0.4.tar.gz 2304762 SHA256 
7997dac0f35ad7fb236536959a46e843dab56dbce5694849585cb97affbbb198 SHA512 
9846114813b743ba9abfb4ce6e9d3cdcddfb81a242fda83a9d22a9fc30017fec2464f3b75364d9be38d50218e79485f3405e429fac1830d163c50737b07c2865
 WHIRLPOOL 
8420bffb6e2b86528d9104abb981368fa2fe36b33057b0e02f1fcf9e9106a4cd58bdb833e459e38a64bd47b2f4955e15f589673b57442184e3bcd60894feab4b
 DIST heat-9.0.0.tar.gz 2359104 SHA256 
36dbb46b72bf7b495ba8812804da7d4e9bb59481743e6e0499e904efdf4ee7be SHA512 
d60cfd69807af5a51da6d236e5ccf482a5fd65f8bb2e5e8287eca587f27d0af570979b554a311037904a7c01cd8dcba43a5ef577261fb7f12a557ba6ff2ec58e
 WHIRLPOOL 
43f9afaa57e84e7e29bba4754d3b7499afece40961891dafd6bf75da3032f79806dee6d4de91e0afd24ad53b97cf615e91df46646ed39b2df05fa53d36a31527
 DIST heat.conf.sample-2017.1.9999 88798 SHA256 
688a6fd65df3b9f004345c8cf739c5a553b6806213c399ac25846d1ad248e963 SHA512 
5ea23f33ddc2b34414371a612041abd075694a7d63bb55efd1e75f313b4e9f35e0d68b420536bc474cd4896b0295d8763bdecbb07c71d29c462c14183159e560
 WHIRLPOOL 
9a91069136dcbf15d47a4b5df6521ca2740eb1a88feab57b28f2f921e517ae7557125b5ea877d4c9ed5314321c8de551270722809d270c1b8ae0245d2a75b515

diff --git a/sys-cluster/heat/heat-2016.2.9999.ebuild 
b/sys-cluster/heat/heat-2016.2.9999.ebuild
deleted file mode 100644
index a0bdfb7e5d3..00000000000
--- a/sys-cluster/heat/heat-2016.2.9999.ebuild
+++ /dev/null
@@ -1,152 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_{4,5} )
-
-inherit distutils-r1 eutils git-r3 linux-info user
-
-DESCRIPTION="A CloudFormation-compatible openstack-native cloud orchistration 
engine."
-HOMEPAGE="https://launchpad.net/heat";
-EGIT_REPO_URI="https://github.com/openstack/heat.git";
-EGIT_BRANCH="stable/newton"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS=""
-IUSE="+mysql +memcached postgres sqlite"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-       ${CDEPEND}
-       app-admin/sudo"
-
-RDEPEND="
-       ${CDEPEND}
-       >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
-       >=dev-python/croniter-0.3.4[${PYTHON_USEDEP}]
-       >=dev-python/cryptography-1.0.0[${PYTHON_USEDEP}]
-       !~dev-python/cryptography-1.3.0[${PYTHON_USEDEP}]
-       >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
-       >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
-       >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
-       >=dev-python/keystoneauth-2.10.0[${PYTHON_USEDEP}]
-       >=dev-python/keystonemiddleware-4.0.0[${PYTHON_USEDEP}]
-       !~dev-python/keystonemiddleware-4.1.0[${PYTHON_USEDEP}]
-       !~dev-python/keystonemiddleware-4.5.0[${PYTHON_USEDEP}]
-       >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
-       >=dev-python/netaddr-0.7.13[${PYTHON_USEDEP}]
-       !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
-       >=dev-python/oslo-cache-1.5.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-config-3.14.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-concurrency-3.8.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-context-2.9.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-db-4.10.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-db-4.13.1[${PYTHON_USEDEP}]
-       >=dev-python/oslo-db-4.13.2[${PYTHON_USEDEP}]
-       >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-log-1.14.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-messaging-5.2.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-middleware-3.0.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-policy-1.9.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-reports-0.6.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-service-1.10.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-utils-3.16.0[${PYTHON_USEDEP}]
-       >=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-versionedobjects-1.13.0[${PYTHON_USEDEP}]
-       >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
-       >=dev-python/pycrypto-2.6[${PYTHON_USEDEP}]
-       >=dev-python/aodhclient-0.5.0[${PYTHON_USEDEP}]
-       >=dev-python/python-barbicanclient-4.0.0[${PYTHON_USEDEP}]
-       >=dev-python/python-ceilometerclient-2.5.0[${PYTHON_USEDEP}]
-       >=dev-python/python-cinderclient-1.6.0[${PYTHON_USEDEP}]
-       !~dev-python/python-cinderclient-1.7.0[${PYTHON_USEDEP}]
-       !~dev-python/python-cinderclient-1.7.1[${PYTHON_USEDEP}]
-       >=dev-python/python-designateclient-1.5.0[${PYTHON_USEDEP}]
-       >=dev-python/python-glanceclient-2.3.0[${PYTHON_USEDEP}]
-       !~dev-python/python-glanceclient-2.4.0[${PYTHON_USEDEP}]
-       >=dev-python/python-heatclient-1.4.0[${PYTHON_USEDEP}]
-       >=dev-python/python-keystoneclient-2.0.0[${PYTHON_USEDEP}]
-       !~dev-python/python-keystoneclient-2.1.0[${PYTHON_USEDEP}]
-       >=dev-python/python-magnumclient-2.0.0[${PYTHON_USEDEP}]
-       >=dev-python/python-manilaclient-1.10.0[${PYTHON_USEDEP}]
-       >=dev-python/python-mistralclient-2.0.0[${PYTHON_USEDEP}]
-       >=dev-python/python-monascaclient-1.1.0[${PYTHON_USEDEP}]
-       >=dev-python/python-neutronclient-5.1.0[${PYTHON_USEDEP}]
-       >=dev-python/python-novaclient-2.29.0[${PYTHON_USEDEP}]
-       !~dev-python/python-novaclient-2.33.0[${PYTHON_USEDEP}]
-       >=dev-python/python-openstackclient-2.1.0[${PYTHON_USEDEP}]
-       >=dev-python/python-senlinclient-0.3.0[${PYTHON_USEDEP}]
-       >=dev-python/python-swiftclient-2.2.0[${PYTHON_USEDEP}]
-       >=dev-python/python-troveclient-2.2.0[${PYTHON_USEDEP}]
-       >=dev-python/python-zaqarclient-1.0.0[${PYTHON_USEDEP}]
-       >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
-       >=dev-python/pyyaml-3.1.0[${PYTHON_USEDEP}]
-       >=dev-python/requests-2.10.0[${PYTHON_USEDEP}]
-       >=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
-       !~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
-       >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
-       !~dev-python/routes-2.0[${PYTHON_USEDEP}]
-       !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
-       !~dev-python/routes-2.3[${PYTHON_USEDEP}]
-       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
-       sqlite? (
-               >=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
-               <dev-python/sqlalchemy-1.1.0[sqlite,${PYTHON_USEDEP}]
-       )
-       mysql? (
-               >=dev-python/pymysql-0.6.2[${PYTHON_USEDEP}]
-               !~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               <dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
-       )
-       postgres? (
-               >=dev-python/psycopg-2.5.0
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               <dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
-       )
-       >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
-       >=dev-python/stevedore-1.16.0[${PYTHON_USEDEP}]
-
-       >=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
-       >=dev-python/yaql-1.1.0[${PYTHON_USEDEP}]"
-
-PATCHES=(
-)
-
-pkg_setup() {
-       enewgroup heat
-       enewuser heat -1 -1 /var/lib/heat heat
-}
-
-python_prepare_all() {
-       sed -i '/^hacking/d' test-requirements.txt || die
-       distutils-r1_python_prepare_all
-}
-
-python_install_all() {
-       distutils-r1_python_install_all
-       diropts -m0750 -o heat -g heat
-       keepdir /etc/heat
-       dodir /etc/heat/environment.d
-       dodir /etc/heat/templates
-
-       for svc in api api-cfn engine; do
-               newinitd "${FILESDIR}/heat.initd" heat-${svc}
-       done
-
-       insinto /etc/heat
-       insopts -m0640 -o heat -g heat
-       newins "${FILESDIR}/newton-heat.conf.sample" "heat.conf.sample"
-       doins "etc/heat/api-paste.ini"
-       doins "etc/heat/policy.json"
-       insinto /etc/heat/templates
-       doins "etc/heat/templates/"*
-       insinto /etc/heat/environment.d
-       doins "etc/heat/environment.d/default.yaml"
-
-       dodir /var/log/heat
-       fowners heat:heat /var/log/heat
-}

diff --git a/sys-cluster/heat/heat-7.0.6.ebuild 
b/sys-cluster/heat/heat-7.0.6.ebuild
deleted file mode 100644
index df7dda0453b..00000000000
--- a/sys-cluster/heat/heat-7.0.6.ebuild
+++ /dev/null
@@ -1,151 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_4 )
-
-inherit distutils-r1 eutils user
-
-DESCRIPTION="A CloudFormation-compatible openstack-native cloud orchistration 
engine."
-HOMEPAGE="https://launchpad.net/heat";
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz";
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE="+mysql +memcached postgres sqlite"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-       ${CDEPEND}
-       app-admin/sudo"
-
-RDEPEND="
-       ${CDEPEND}
-       >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
-       >=dev-python/croniter-0.3.4[${PYTHON_USEDEP}]
-       >=dev-python/cryptography-1.0.0[${PYTHON_USEDEP}]
-       !~dev-python/cryptography-1.3.0[${PYTHON_USEDEP}]
-       >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
-       >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
-       >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
-       >=dev-python/keystoneauth-2.10.0[${PYTHON_USEDEP}]
-       >=dev-python/keystonemiddleware-4.0.0[${PYTHON_USEDEP}]
-       !~dev-python/keystonemiddleware-4.1.0[${PYTHON_USEDEP}]
-       !~dev-python/keystonemiddleware-4.5.0[${PYTHON_USEDEP}]
-       >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
-       >=dev-python/netaddr-0.7.13[${PYTHON_USEDEP}]
-       !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
-       >=dev-python/oslo-cache-1.5.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-config-3.14.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-concurrency-3.8.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-context-2.9.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-db-4.10.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-db-4.13.1[${PYTHON_USEDEP}]
-       >=dev-python/oslo-db-4.13.2[${PYTHON_USEDEP}]
-       >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-log-1.14.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-messaging-5.2.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-middleware-3.0.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-policy-1.9.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-reports-0.6.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-service-1.10.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-utils-3.16.0[${PYTHON_USEDEP}]
-       >=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-versionedobjects-1.13.0[${PYTHON_USEDEP}]
-       >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
-       >=dev-python/pycrypto-2.6[${PYTHON_USEDEP}]
-       >=dev-python/aodhclient-0.5.0[${PYTHON_USEDEP}]
-       >=dev-python/python-barbicanclient-4.0.0[${PYTHON_USEDEP}]
-       >=dev-python/python-ceilometerclient-2.5.0[${PYTHON_USEDEP}]
-       >=dev-python/python-cinderclient-1.6.0[${PYTHON_USEDEP}]
-       !~dev-python/python-cinderclient-1.7.0[${PYTHON_USEDEP}]
-       !~dev-python/python-cinderclient-1.7.1[${PYTHON_USEDEP}]
-       >=dev-python/python-designateclient-1.5.0[${PYTHON_USEDEP}]
-       >=dev-python/python-glanceclient-2.3.0[${PYTHON_USEDEP}]
-       !~dev-python/python-glanceclient-2.4.0[${PYTHON_USEDEP}]
-       >=dev-python/python-heatclient-1.4.0[${PYTHON_USEDEP}]
-       >=dev-python/python-keystoneclient-2.0.0[${PYTHON_USEDEP}]
-       !~dev-python/python-keystoneclient-2.1.0[${PYTHON_USEDEP}]
-       >=dev-python/python-magnumclient-2.0.0[${PYTHON_USEDEP}]
-       >=dev-python/python-manilaclient-1.10.0[${PYTHON_USEDEP}]
-       >=dev-python/python-mistralclient-2.0.0[${PYTHON_USEDEP}]
-       >=dev-python/python-monascaclient-1.1.0[${PYTHON_USEDEP}]
-       >=dev-python/python-neutronclient-5.1.0[${PYTHON_USEDEP}]
-       >=dev-python/python-novaclient-2.29.0[${PYTHON_USEDEP}]
-       !~dev-python/python-novaclient-2.33.0[${PYTHON_USEDEP}]
-       >=dev-python/python-openstackclient-2.1.0[${PYTHON_USEDEP}]
-       >=dev-python/python-senlinclient-0.3.0[${PYTHON_USEDEP}]
-       >=dev-python/python-swiftclient-2.2.0[${PYTHON_USEDEP}]
-       >=dev-python/python-troveclient-2.2.0[${PYTHON_USEDEP}]
-       >=dev-python/python-zaqarclient-1.0.0[${PYTHON_USEDEP}]
-       >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
-       >=dev-python/pyyaml-3.1.0[${PYTHON_USEDEP}]
-       >=dev-python/requests-2.10.0[${PYTHON_USEDEP}]
-       >=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
-       !~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
-       >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
-       !~dev-python/routes-2.0[${PYTHON_USEDEP}]
-       !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
-       !~dev-python/routes-2.3[${PYTHON_USEDEP}]
-       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
-       sqlite? (
-               >=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
-               <dev-python/sqlalchemy-1.1.0[sqlite,${PYTHON_USEDEP}]
-       )
-       mysql? (
-               >=dev-python/pymysql-0.6.2[${PYTHON_USEDEP}]
-               !~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               <dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
-       )
-       postgres? (
-               >=dev-python/psycopg-2.5.0
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               <dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
-       )
-       >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
-       >=dev-python/stevedore-1.16.0[${PYTHON_USEDEP}]
-
-       >=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
-       >=dev-python/yaql-1.1.0[${PYTHON_USEDEP}]"
-
-PATCHES=(
-)
-
-pkg_setup() {
-       enewgroup heat
-       enewuser heat -1 -1 /var/lib/heat heat
-}
-
-python_prepare_all() {
-       sed -i '/^hacking/d' test-requirements.txt || die
-       distutils-r1_python_prepare_all
-}
-
-python_install() {
-       distutils-r1_python_install
-       diropts -m0750 -o heat -g heat
-       keepdir /etc/heat
-       dodir /etc/heat/environment.d
-       dodir /etc/heat/templates
-
-       for svc in api api-cfn engine; do
-               newinitd "${FILESDIR}/heat.initd" heat-${svc}
-       done
-
-       insinto /etc/heat
-       insopts -m0640 -o heat -g heat
-       newins "${FILESDIR}/newton-heat.conf.sample" "heat.conf.sample"
-       doins "etc/heat/api-paste.ini"
-       doins "etc/heat/policy.json"
-       insinto /etc/heat/templates
-       doins "etc/heat/templates/"*
-       insinto /etc/heat/environment.d
-       doins "etc/heat/environment.d/default.yaml"
-
-       dodir /var/log/heat
-       fowners heat:heat /var/log/heat
-}

Reply via email to